<?php
/**
 * Class IS_Medify_Content_Single_Page
 * 
 * @package IS-Medify
 * 
 * @since 1.0.0
 *  
*/
class IS_Medify_Content_Single_Page {

	/**
	 * Class Construct Method.
	*/
	public function __construct() {
		$this->IS_Medify_Setup_Hook_Single_Page();
	}

	/**
	 * IS_Medify_Setup_Hook_Single_Page Function For Single Page .
	*/
	public function IS_Medify_Setup_Hook_Single_Page() {
		add_action( 'IS_Medify_Do_Function_Single_Page', array( $this, 'IS_Medify_Single_Page' ) );
	}

	/**
	 * IS-Medify Single page.
	*/
	public function IS_Medify_Single_Page() { ?>
		<div class="container-fluid space" id="primary">
			<div class="container blogs">
				<div class="col-md-9 rightside">
					<div <?php post_class();?>>	
						<?php 
						if ( have_posts()) : 
							while ( have_posts() ) : 
								the_post(); 
								get_template_part( 'template-parts/content', 'single' );
							    is_medify_post_link_function(); 
							endwhile; 
						endif; 

						// If comments are open or we have at least one comment, load up the comment template.
						if ( comments_open() || get_comments_number() ) :
							comments_template();
						endif;
						?>	
					</div>
				</div>
				<?php get_sidebar(); ?>
			</div>
		</div> <?php
	}
}
new IS_Medify_Content_Single_Page;